From e6f8211c5e35d0541815805f60050f27aa0f13a9 Mon Sep 17 00:00:00 2001
From: LibreMiami <packaging-guix@libremiami.org>
Date: Sat, 6 Mar 2021 03:18:52 +0000
Subject: [PATCH 5/5] gnu: Add clikan.

* /gnu/packages/task-management.scm (clikan): New variable.

Co-authored-by: donotshake <donotshake:matrix.org>
Co-authored-by: jgart <jgart@dismail.de>
Co-authored-by: Raghav Gururajan <rg@raghavgururajan.name>
---
 gnu/packages/task-management.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/task-management.scm b/gnu/packages/task-management.scm
index ee37bba624..2b3693aa4c 100644
--- a/gnu/packages/task-management.scm
+++ b/gnu/packages/task-management.scm
@@ -196,3 +196,31 @@ You can also use it to fall asleep in a noisy environment.")
 that want to finish tasks, not organize them.")
     (home-page "https://stevelosh.com/projects/t/")
     (license license:expat))))
+
+(define-public clikan
+  (let ((commit "90fd60e485b46e49fcec7d029384fe1471c4443a")
+        (revision "90"))
+    (package
+      (name "clikan")
+      (version
+       (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/kitplummer/clikan/")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "113kizm05v4cvyhdlg9zami54wk9qaiizq19mx36qvq9w7pg7a3k"))))
+      (build-system python-build-system)
+      (inputs
+       `(("click" ,python-click)
+         ("click-default-group" ,python-click-default-group)
+         ("pyyaml" ,python-pyyaml)
+         ("terminaltables" ,python-terminaltables)))
+      (synopsis "CLI KanBan")
+      (description "@command{clikan} is a super simple personal kanban board
+that runs in a CLI")
+      (home-page "https://github.com/kitplummer/clikan/")
+      (license license:expat))))
-- 
2.20.1

